class ActiveStorage::SerializableAttachment < JSONAPI::Serializable::Resource
  type 'active_storage_attachment'
  
  attributes :content_type
  attribute :filename do
    @object.filename.to_s
  end

  attribute :url do
    Rails.application.routes.url_helpers.rails_blob_url(@object, host: AppHost.new.domain_with_port)
  end

  attribute :thumbnail_url do
    if @object.variable?
      Rails.application.routes.url_helpers.rails_representation_url(@object.variant(resize: "150x150"), host: AppHost.new.domain_with_port)
    end
  end
end

